package com.mortals.xhx.module.perform.model;

import java.util.List;
import com.mortals.xhx.module.perform.model.PerformPerposeDeptEntity;
/**
* 部门考核目标详细信息查询对象
*
* @author zxfei
* @date 2023-05-16
*/
public class PerformPerposeDeptQuery extends PerformPerposeDeptEntity {
    /** 开始 序号，主键，自增长 */
    private Long IdStart;

    /** 结束 序号，主键，自增长 */
    private Long IdEnd;

    /** 增加 序号，主键，自增长 */
    private Long IdIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> IdList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> IdNotList;

    /** 开始 考核目标id */
    private Long purposeConfIdStart;

    /** 结束 考核目标id */
    private Long purposeConfIdEnd;

    /** 增加 考核目标id */
    private Long purposeConfIdIncrement;

    /** 考核目标id列表 */
    private List <Long> purposeConfIdList;

    /** 考核目标id排除列表 */
    private List <Long> purposeConfIdNotList;

    /** 开始 部门id */
    private Long deptIdStart;

    /** 结束 部门id */
    private Long deptIdEnd;

    /** 增加 部门id */
    private Long deptIdIncrement;

    /** 部门id列表 */
    private List <Long> deptIdList;

    /** 部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformPerposeDeptQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformPerposeDeptQuery> andConditionList;

    public PerformPerposeDeptQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return IdStart
    */
    public Long getIdStart(){
        return this.IdStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param IdStart
    */
    public void setIdStart(Long IdStart){
        this.IdStart = IdStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $IdEnd
    */
    public Long getIdEnd(){
        return this.IdEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param IdEnd
    */
    public void setIdEnd(Long IdEnd){
        this.IdEnd = IdEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return IdIncrement
    */
    public Long getIdIncrement(){
        return this.IdIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param IdIncrement
    */
    public void setIdIncrement(Long IdIncrement){
        this.IdIncrement = IdIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return IdList
    */
    public List<Long> getIdList(){
        return this.IdList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdList
    */
    public void setIdList(List<Long> IdList){
        this.IdList = IdList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return IdNotList
    */
    public List<Long> getIdNotList(){
        return this.IdNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdNotList
    */
    public void setIdNotList(List<Long> IdNotList){
        this.IdNotList = IdNotList;
    }


    /**
    * 获取 开始 考核目标id
    * @return purposeConfIdStart
    */
    public Long getPurposeConfIdStart(){
        return this.purposeConfIdStart;
    }

    /**
    * 设置 开始 考核目标id
    * @param purposeConfIdStart
    */
    public void setPurposeConfIdStart(Long purposeConfIdStart){
        this.purposeConfIdStart = purposeConfIdStart;
    }

    /**
    * 获取 结束 考核目标id
    * @return $purposeConfIdEnd
    */
    public Long getPurposeConfIdEnd(){
        return this.purposeConfIdEnd;
    }

    /**
    * 设置 结束 考核目标id
    * @param purposeConfIdEnd
    */
    public void setPurposeConfIdEnd(Long purposeConfIdEnd){
        this.purposeConfIdEnd = purposeConfIdEnd;
    }

    /**
    * 获取 增加 考核目标id
    * @return purposeConfIdIncrement
    */
    public Long getPurposeConfIdIncrement(){
        return this.purposeConfIdIncrement;
    }

    /**
    * 设置 增加 考核目标id
    * @param purposeConfIdIncrement
    */
    public void setPurposeConfIdIncrement(Long purposeConfIdIncrement){
        this.purposeConfIdIncrement = purposeConfIdIncrement;
    }

    /**
    * 获取 考核目标id
    * @return purposeConfIdList
    */
    public List<Long> getPurposeConfIdList(){
        return this.purposeConfIdList;
    }

    /**
    * 设置 考核目标id
    * @param purposeConfIdList
    */
    public void setPurposeConfIdList(List<Long> purposeConfIdList){
        this.purposeConfIdList = purposeConfIdList;
    }

    /**
    * 获取 考核目标id
    * @return purposeConfIdNotList
    */
    public List<Long> getPurposeConfIdNotList(){
        return this.purposeConfIdNotList;
    }

    /**
    * 设置 考核目标id
    * @param purposeConfIdNotList
    */
    public void setPurposeConfIdNotList(List<Long> purposeConfIdNotList){
        this.purposeConfIdNotList = purposeConfIdNotList;
    }


    /**
    * 获取 开始 部门id
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门id
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门id
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门id
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门id
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门id
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门id
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门id
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 部门id
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 部门id
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param Id
    */
    public PerformPerposeDeptQuery Id(Long Id){
	    setId(Id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param IdStart
    */
    public PerformPerposeDeptQuery IdStart(Long IdStart){
		this.IdStart = IdStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param IdEnd
    */
    public PerformPerposeDeptQuery IdEnd(Long IdEnd){
		this.IdEnd = IdEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param IdIncrement
    */
    public PerformPerposeDeptQuery IdIncrement(Long IdIncrement){
		this.IdIncrement = IdIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdList
    */
    public PerformPerposeDeptQuery IdList(List<Long> IdList){
        this.IdList = IdList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param IdNotList
        */
        public PerformPerposeDeptQuery IdNotList(List<Long> IdNotList){
        this.IdNotList = IdNotList;
        return this;
        }

    /**
    * 设置  考核目标id
    * @param purposeConfId
    */
    public PerformPerposeDeptQuery purposeConfId(Long purposeConfId){
	    setPurposeConfId(purposeConfId);
		return this;
    }
	
	 /**
    * 设置 开始 考核目标id
    * @param purposeConfIdStart
    */
    public PerformPerposeDeptQuery purposeConfIdStart(Long purposeConfIdStart){
		this.purposeConfIdStart = purposeConfIdStart;
		return this;
    }

    /**
    * 设置 结束 考核目标id
    * @param purposeConfIdEnd
    */
    public PerformPerposeDeptQuery purposeConfIdEnd(Long purposeConfIdEnd){
		this.purposeConfIdEnd = purposeConfIdEnd;
		return this;
    }

    /**
    * 设置 增加 考核目标id
    * @param purposeConfIdIncrement
    */
    public PerformPerposeDeptQuery purposeConfIdIncrement(Long purposeConfIdIncrement){
		this.purposeConfIdIncrement = purposeConfIdIncrement;
		return this;
    }

    /**
    * 设置 考核目标id
    * @param purposeConfIdList
    */
    public PerformPerposeDeptQuery purposeConfIdList(List<Long> purposeConfIdList){
        this.purposeConfIdList = purposeConfIdList;
		return this;
        }

        /**
        * 设置 考核目标id
        * @param purposeConfIdNotList
        */
        public PerformPerposeDeptQuery purposeConfIdNotList(List<Long> purposeConfIdNotList){
        this.purposeConfIdNotList = purposeConfIdNotList;
        return this;
        }

    /**
    * 设置  部门id
    * @param deptId
    */
    public PerformPerposeDeptQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 部门id
    * @param deptIdStart
    */
    public PerformPerposeDeptQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门id
    * @param deptIdEnd
    */
    public PerformPerposeDeptQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门id
    * @param deptIdIncrement
    */
    public PerformPerposeDeptQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门id
    * @param deptIdList
    */
    public PerformPerposeDeptQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 部门id
        * @param deptIdNotList
        */
        public PerformPerposeDeptQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 部门名称
    * @param deptName
    */
    public PerformPerposeDeptQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public PerformPerposeDeptQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public PerformPerposeDeptQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PerformPerposeDeptQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PerformPerposeDeptQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PerformPerposeDeptQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PerformPerposeDeptQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PerformPerposeDeptQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PerformPerposeDeptQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PerformPerposeDeptQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PerformPerposeDeptQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PerformPerposeDeptQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PerformPerposeDeptQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PerformPerposeDeptQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PerformPerposeDeptQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PerformPerposeDeptQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformPerposeDeptQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformPerposeDeptQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformPerposeDeptQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformPerposeDeptQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}